> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagecall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sessions in a Room

> Get a list of sessions in a meeting room



## OpenAPI

````yaml GET /rooms/{room_id}/sessions
openapi: 3.0.0
info:
  title: Pagecall Public API - OpenAPI 3.0
  description: >-
    This is a official Pagecall API Documents written in OpenAPI 3.0.

    Responses from the Pagecall API may contain more information, but what is
    not stated in this document may change at any time without any notice.
  termsOfService: https://pplink.notion.site/774e4131813b47f8b06e3da4524604e8
  contact:
    email: support@pagecall.com
  version: 1.0.0
servers:
  - url: https://api.pagecall.com/v1
security: []
tags:
  - name: room
    description: Operations about room resources
paths:
  /rooms/{room_id}/sessions:
    parameters:
      - in: path
        name: room_id
        required: true
        schema:
          type: string
        example: 000585f36eed9e8fb6b655b4
    get:
      tags:
        - room
      summary: Get Sessions in a Room
      description: Get a list of sessions in a meeting room
      operationId: GetRoomSessions
      parameters:
        - in: query
          name: user_id
          description: (Optional) Filter by user_id
          schema:
            type: string
        - in: query
          name: is_connecting
          description: (Optional) Filter by their online status
          schema:
            type: boolean
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  sessions:
                    type: array
                    items:
                      $ref: '#/components/schemas/Session'
        '400':
          description: Invalid Parameters Supplied or Unauthenticated or Unauthorized
        '500':
          description: Validation exception
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Session:
      type: object
      required:
        - id
        - member_id
      properties:
        id:
          type: string
          description: ID of the session
          example: 000585f36eed9e8fb6b655b4
        member_id:
          type: string
          description: ID for the member associated with the session
          example: 000585f36eed9e8fb6b655b4
        user_id:
          type: string
          description: >-
            ID for the user associated with the session. It can be empty if the
            session represents an anonymous user.
          example: 000585f36eed9e8fb6b655b4
        connected_at:
          type: string
          description: Datetime when the session was established
          example: '2023-01-01T01:00:00.000Z'
        disconnected_at:
          type: string
          description: >-
            Datetime when the session was ended. It can be empty if the session
            is online.
          example: '2023-01-01T01:30:00.000Z'
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````